Get email by Id
Get email by Id
GET
/
conversations
/
messages
/
email
/
{id}
Get email by Id
curl --request GET \
--url https://services.leadconnectorhq.com/conversations/messages/email/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.leadconnectorhq.com/conversations/messages/email/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversations/messages/email/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "ve9EPM428h8vShlRW1KT",
"threadId": "ve9EPM428h8vShlRW1KT",
"locationId": "ve9EPM428h8vShlRW1KT",
"contactId": "ve9EPM428h8vShlRW1KT",
"conversationId": "ve9EPM428h8vShlRW1KT",
"dateAdded": "2024-03-27T18:13:49.000Z",
"body": "Hi there",
"direction": "inbound",
"contentType": "text/plain",
"from": "<string>",
"to": [
"<string>"
],
"altId": "ve9EPM428h8vShlRW1KT",
"subject": "Order confirm",
"status": "pending",
"attachments": [
"<string>"
],
"provider": "Leadconnector Gmail",
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"replyToMessageId": "<string>",
"source": "workflow",
"conversationProviderId": "cI08i1Bls3iTB9bKgF01"
}Authorizations
Response
200 - application/json
Email object for the id given.
Last modified on March 8, 2026
Was this page helpful?
Get email by Id
curl --request GET \
--url https://services.leadconnectorhq.com/conversations/messages/email/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.leadconnectorhq.com/conversations/messages/email/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversations/messages/email/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "ve9EPM428h8vShlRW1KT",
"threadId": "ve9EPM428h8vShlRW1KT",
"locationId": "ve9EPM428h8vShlRW1KT",
"contactId": "ve9EPM428h8vShlRW1KT",
"conversationId": "ve9EPM428h8vShlRW1KT",
"dateAdded": "2024-03-27T18:13:49.000Z",
"body": "Hi there",
"direction": "inbound",
"contentType": "text/plain",
"from": "<string>",
"to": [
"<string>"
],
"altId": "ve9EPM428h8vShlRW1KT",
"subject": "Order confirm",
"status": "pending",
"attachments": [
"<string>"
],
"provider": "Leadconnector Gmail",
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"replyToMessageId": "<string>",
"source": "workflow",
"conversationProviderId": "cI08i1Bls3iTB9bKgF01"
}